Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
fc8a::/16
First address
fc8a::
Last address
fc8a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
fc8a:0000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
a.8.c.f.ip6.arpa
Split into smaller subnets/24

fc8a::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
1fc8a::/24fc8a:ff:ffff:ffff:ffff:ffff:ffff:ffff
2fc8a:100::/24fc8a:1ff:ffff:ffff:ffff:ffff:ffff:ffff
3fc8a:200::/24fc8a:2ff:ffff:ffff:ffff:ffff:ffff:ffff
4fc8a:300::/24fc8a:3ff:ffff:ffff:ffff:ffff:ffff:ffff
5fc8a:400::/24fc8a:4ff:ffff:ffff:ffff:ffff:ffff:ffff
6fc8a:500::/24fc8a:5ff:ffff:ffff:ffff:ffff:ffff:ffff
7fc8a:600::/24fc8a:6ff:ffff:ffff:ffff:ffff:ffff:ffff
8fc8a:700::/24fc8a:7ff:ffff:ffff:ffff:ffff:ffff:ffff
9fc8a:800::/24fc8a:8ff:ffff:ffff:ffff:ffff:ffff:ffff
10fc8a:900::/24fc8a:9ff:ffff:ffff:ffff:ffff:ffff:ffff
11fc8a:a00::/24fc8a:aff:ffff:ffff:ffff:ffff:ffff:ffff
12fc8a:b00::/24fc8a:bff:ffff:ffff:ffff:ffff:ffff:ffff
13fc8a:c00::/24fc8a:cff:ffff:ffff:ffff:ffff:ffff:ffff
14fc8a:d00::/24fc8a:dff:ffff:ffff:ffff:ffff:ffff:ffff
15fc8a:e00::/24fc8a:eff:ffff:ffff:ffff:ffff:ffff:ffff
16fc8a:f00::/24fc8a:fff:ffff:ffff:ffff:ffff:ffff:ffff
17fc8a:1000::/24fc8a:10ff:ffff:ffff:ffff:ffff:ffff:ffff
18fc8a:1100::/24fc8a:11ff:ffff:ffff:ffff:ffff:ffff:ffff
19fc8a:1200::/24fc8a:12ff:ffff:ffff:ffff:ffff:ffff:ffff
20fc8a:1300::/24fc8a:13ff:ffff:ffff:ffff:ffff:ffff:ffff
21fc8a:1400::/24fc8a:14ff:ffff:ffff:ffff:ffff:ffff:ffff
22fc8a:1500::/24fc8a:15ff:ffff:ffff:ffff:ffff:ffff:ffff
23fc8a:1600::/24fc8a:16ff:ffff:ffff:ffff:ffff:ffff:ffff
24fc8a:1700::/24fc8a:17ff:ffff:ffff:ffff:ffff:ffff:ffff
25fc8a:1800::/24fc8a:18ff:ffff:ffff:ffff:ffff:ffff:ffff
26fc8a:1900::/24fc8a:19ff:ffff:ffff:ffff:ffff:ffff:ffff
27fc8a:1a00::/24fc8a:1aff:ffff:ffff:ffff:ffff:ffff:ffff
28fc8a:1b00::/24fc8a:1bff:ffff:ffff:ffff:ffff:ffff:ffff
29fc8a:1c00::/24fc8a:1cff:ffff:ffff:ffff:ffff:ffff:ffff
30fc8a:1d00::/24fc8a:1dff:ffff:ffff:ffff:ffff:ffff:ffff
31fc8a:1e00::/24fc8a:1eff:ffff:ffff:ffff:ffff:ffff:ffff
32fc8a:1f00::/24fc8a:1fff:ffff:ffff:ffff:ffff:ffff:ffff
33fc8a:2000::/24fc8a:20ff:ffff:ffff:ffff:ffff:ffff:ffff
34fc8a:2100::/24fc8a:21ff:ffff:ffff:ffff:ffff:ffff:ffff
35fc8a:2200::/24fc8a:22ff:ffff:ffff:ffff:ffff:ffff:ffff
36fc8a:2300::/24fc8a:23ff:ffff:ffff:ffff:ffff:ffff:ffff
37fc8a:2400::/24fc8a:24ff:ffff:ffff:ffff:ffff:ffff:ffff
38fc8a:2500::/24fc8a:25ff:ffff:ffff:ffff:ffff:ffff:ffff
39fc8a:2600::/24fc8a:26ff:ffff:ffff:ffff:ffff:ffff:ffff
40fc8a:2700::/24fc8a:27ff:ffff:ffff:ffff:ffff:ffff:ffff
41fc8a:2800::/24fc8a:28ff:ffff:ffff:ffff:ffff:ffff:ffff
42fc8a:2900::/24fc8a:29ff:ffff:ffff:ffff:ffff:ffff:ffff
43fc8a:2a00::/24fc8a:2aff:ffff:ffff:ffff:ffff:ffff:ffff
44fc8a:2b00::/24fc8a:2bff:ffff:ffff:ffff:ffff:ffff:ffff
45fc8a:2c00::/24fc8a:2cff:ffff:ffff:ffff:ffff:ffff:ffff
46fc8a:2d00::/24fc8a:2dff:ffff:ffff:ffff:ffff:ffff:ffff
47fc8a:2e00::/24fc8a:2eff:ffff:ffff:ffff:ffff:ffff:ffff
48fc8a:2f00::/24fc8a:2fff:ffff:ffff:ffff:ffff:ffff:ffff
49fc8a:3000::/24fc8a:30ff:ffff:ffff:ffff:ffff:ffff:ffff
50fc8a:3100::/24fc8a:31ff:ffff:ffff:ffff:ffff:ffff:ffff
51fc8a:3200::/24fc8a:32ff:ffff:ffff:ffff:ffff:ffff:ffff
52fc8a:3300::/24fc8a:33ff:ffff:ffff:ffff:ffff:ffff:ffff
53fc8a:3400::/24fc8a:34ff:ffff:ffff:ffff:ffff:ffff:ffff
54fc8a:3500::/24fc8a:35ff:ffff:ffff:ffff:ffff:ffff:ffff
55fc8a:3600::/24fc8a:36ff:ffff:ffff:ffff:ffff:ffff:ffff
56fc8a:3700::/24fc8a:37ff:ffff:ffff:ffff:ffff:ffff:ffff
57fc8a:3800::/24fc8a:38ff:ffff:ffff:ffff:ffff:ffff:ffff
58fc8a:3900::/24fc8a:39ff:ffff:ffff:ffff:ffff:ffff:ffff
59fc8a:3a00::/24fc8a:3aff:ffff:ffff:ffff:ffff:ffff:ffff
60fc8a:3b00::/24fc8a:3bff:ffff:ffff:ffff:ffff:ffff:ffff
61fc8a:3c00::/24fc8a:3cff:ffff:ffff:ffff:ffff:ffff:ffff
62fc8a:3d00::/24fc8a:3dff:ffff:ffff:ffff:ffff:ffff:ffff
63fc8a:3e00::/24fc8a:3eff:ffff:ffff:ffff:ffff:ffff:ffff
64fc8a:3f00::/24fc8a:3fff:ffff:ffff:ffff:ffff:ffff:ffff
65fc8a:4000::/24fc8a:40ff:ffff:ffff:ffff:ffff:ffff:ffff
66fc8a:4100::/24fc8a:41ff:ffff:ffff:ffff:ffff:ffff:ffff
67fc8a:4200::/24fc8a:42ff:ffff:ffff:ffff:ffff:ffff:ffff
68fc8a:4300::/24fc8a:43ff:ffff:ffff:ffff:ffff:ffff:ffff
69fc8a:4400::/24fc8a:44ff:ffff:ffff:ffff:ffff:ffff:ffff
70fc8a:4500::/24fc8a:45ff:ffff:ffff:ffff:ffff:ffff:ffff
71fc8a:4600::/24fc8a:46ff:ffff:ffff:ffff:ffff:ffff:ffff
72fc8a:4700::/24fc8a:47ff:ffff:ffff:ffff:ffff:ffff:ffff
73fc8a:4800::/24fc8a:48ff:ffff:ffff:ffff:ffff:ffff:ffff
74fc8a:4900::/24fc8a:49ff:ffff:ffff:ffff:ffff:ffff:ffff
75fc8a:4a00::/24fc8a:4aff:ffff:ffff:ffff:ffff:ffff:ffff
76fc8a:4b00::/24fc8a:4bff:ffff:ffff:ffff:ffff:ffff:ffff
77fc8a:4c00::/24fc8a:4cff:ffff:ffff:ffff:ffff:ffff:ffff
78fc8a:4d00::/24fc8a:4dff:ffff:ffff:ffff:ffff:ffff:ffff
79fc8a:4e00::/24fc8a:4eff:ffff:ffff:ffff:ffff:ffff:ffff
80fc8a:4f00::/24fc8a:4fff:ffff:ffff:ffff:ffff:ffff:ffff
81fc8a:5000::/24fc8a:50ff:ffff:ffff:ffff:ffff:ffff:ffff
82fc8a:5100::/24fc8a:51ff:ffff:ffff:ffff:ffff:ffff:ffff
83fc8a:5200::/24fc8a:52ff:ffff:ffff:ffff:ffff:ffff:ffff
84fc8a:5300::/24fc8a:53ff:ffff:ffff:ffff:ffff:ffff:ffff
85fc8a:5400::/24fc8a:54ff:ffff:ffff:ffff:ffff:ffff:ffff
86fc8a:5500::/24fc8a:55ff:ffff:ffff:ffff:ffff:ffff:ffff
87fc8a:5600::/24fc8a:56ff:ffff:ffff:ffff:ffff:ffff:ffff
88fc8a:5700::/24fc8a:57ff:ffff:ffff:ffff:ffff:ffff:ffff
89fc8a:5800::/24fc8a:58ff:ffff:ffff:ffff:ffff:ffff:ffff
90fc8a:5900::/24fc8a:59ff:ffff:ffff:ffff:ffff:ffff:ffff
91fc8a:5a00::/24fc8a:5aff:ffff:ffff:ffff:ffff:ffff:ffff
92fc8a:5b00::/24fc8a:5bff:ffff:ffff:ffff:ffff:ffff:ffff
93fc8a:5c00::/24fc8a:5cff:ffff:ffff:ffff:ffff:ffff:ffff
94fc8a:5d00::/24fc8a:5dff:ffff:ffff:ffff:ffff:ffff:ffff
95fc8a:5e00::/24fc8a:5eff:ffff:ffff:ffff:ffff:ffff:ffff
96fc8a:5f00::/24fc8a:5fff:ffff:ffff:ffff:ffff:ffff:ffff
97fc8a:6000::/24fc8a:60ff:ffff:ffff:ffff:ffff:ffff:ffff
98fc8a:6100::/24fc8a:61ff:ffff:ffff:ffff:ffff:ffff:ffff
99fc8a:6200::/24fc8a:62ff:ffff:ffff:ffff:ffff:ffff:ffff
100fc8a:6300::/24fc8a:63ff:ffff:ffff:ffff:ffff:ffff:ffff
101fc8a:6400::/24fc8a:64ff:ffff:ffff:ffff:ffff:ffff:ffff
102fc8a:6500::/24fc8a:65ff:ffff:ffff:ffff:ffff:ffff:ffff
103fc8a:6600::/24fc8a:66ff:ffff:ffff:ffff:ffff:ffff:ffff
104fc8a:6700::/24fc8a:67ff:ffff:ffff:ffff:ffff:ffff:ffff
105fc8a:6800::/24fc8a:68ff:ffff:ffff:ffff:ffff:ffff:ffff
106fc8a:6900::/24fc8a:69ff:ffff:ffff:ffff:ffff:ffff:ffff
107fc8a:6a00::/24fc8a:6aff:ffff:ffff:ffff:ffff:ffff:ffff
108fc8a:6b00::/24fc8a:6bff:ffff:ffff:ffff:ffff:ffff:ffff
109fc8a:6c00::/24fc8a:6cff:ffff:ffff:ffff:ffff:ffff:ffff
110fc8a:6d00::/24fc8a:6dff:ffff:ffff:ffff:ffff:ffff:ffff
111fc8a:6e00::/24fc8a:6eff:ffff:ffff:ffff:ffff:ffff:ffff
112fc8a:6f00::/24fc8a:6fff:ffff:ffff:ffff:ffff:ffff:ffff
113fc8a:7000::/24fc8a:70ff:ffff:ffff:ffff:ffff:ffff:ffff
114fc8a:7100::/24fc8a:71ff:ffff:ffff:ffff:ffff:ffff:ffff
115fc8a:7200::/24fc8a:72ff:ffff:ffff:ffff:ffff:ffff:ffff
116fc8a:7300::/24fc8a:73ff:ffff:ffff:ffff:ffff:ffff:ffff
117fc8a:7400::/24fc8a:74ff:ffff:ffff:ffff:ffff:ffff:ffff
118fc8a:7500::/24fc8a:75ff:ffff:ffff:ffff:ffff:ffff:ffff
119fc8a:7600::/24fc8a:76ff:ffff:ffff:ffff:ffff:ffff:ffff
120fc8a:7700::/24fc8a:77ff:ffff:ffff:ffff:ffff:ffff:ffff
121fc8a:7800::/24fc8a:78ff:ffff:ffff:ffff:ffff:ffff:ffff
122fc8a:7900::/24fc8a:79ff:ffff:ffff:ffff:ffff:ffff:ffff
123fc8a:7a00::/24fc8a:7aff:ffff:ffff:ffff:ffff:ffff:ffff
124fc8a:7b00::/24fc8a:7bff:ffff:ffff:ffff:ffff:ffff:ffff
125fc8a:7c00::/24fc8a:7cff:ffff:ffff:ffff:ffff:ffff:ffff
126fc8a:7d00::/24fc8a:7dff:ffff:ffff:ffff:ffff:ffff:ffff
127fc8a:7e00::/24fc8a:7eff:ffff:ffff:ffff:ffff:ffff:ffff
128fc8a:7f00::/24fc8a:7fff:ffff:ffff:ffff:ffff:ffff:ffff
129fc8a:8000::/24fc8a:80ff:ffff:ffff:ffff:ffff:ffff:ffff
130fc8a:8100::/24fc8a:81ff:ffff:ffff:ffff:ffff:ffff:ffff
131fc8a:8200::/24fc8a:82ff:ffff:ffff:ffff:ffff:ffff:ffff
132fc8a:8300::/24fc8a:83ff:ffff:ffff:ffff:ffff:ffff:ffff
133fc8a:8400::/24fc8a:84ff:ffff:ffff:ffff:ffff:ffff:ffff
134fc8a:8500::/24fc8a:85ff:ffff:ffff:ffff:ffff:ffff:ffff
135fc8a:8600::/24fc8a:86ff:ffff:ffff:ffff:ffff:ffff:ffff
136fc8a:8700::/24fc8a:87ff:ffff:ffff:ffff:ffff:ffff:ffff
137fc8a:8800::/24fc8a:88ff:ffff:ffff:ffff:ffff:ffff:ffff
138fc8a:8900::/24fc8a:89ff:ffff:ffff:ffff:ffff:ffff:ffff
139fc8a:8a00::/24fc8a:8aff:ffff:ffff:ffff:ffff:ffff:ffff
140fc8a:8b00::/24fc8a:8bff:ffff:ffff:ffff:ffff:ffff:ffff
141fc8a:8c00::/24fc8a:8cff:ffff:ffff:ffff:ffff:ffff:ffff
142fc8a:8d00::/24fc8a:8dff:ffff:ffff:ffff:ffff:ffff:ffff
143fc8a:8e00::/24fc8a:8eff:ffff:ffff:ffff:ffff:ffff:ffff
144fc8a:8f00::/24fc8a:8fff:ffff:ffff:ffff:ffff:ffff:ffff
145fc8a:9000::/24fc8a:90ff:ffff:ffff:ffff:ffff:ffff:ffff
146fc8a:9100::/24fc8a:91ff:ffff:ffff:ffff:ffff:ffff:ffff
147fc8a:9200::/24fc8a:92ff:ffff:ffff:ffff:ffff:ffff:ffff
148fc8a:9300::/24fc8a:93ff:ffff:ffff:ffff:ffff:ffff:ffff
149fc8a:9400::/24fc8a:94ff:ffff:ffff:ffff:ffff:ffff:ffff
150fc8a:9500::/24fc8a:95ff:ffff:ffff:ffff:ffff:ffff:ffff
151fc8a:9600::/24fc8a:96ff:ffff:ffff:ffff:ffff:ffff:ffff
152fc8a:9700::/24fc8a:97ff:ffff:ffff:ffff:ffff:ffff:ffff
153fc8a:9800::/24fc8a:98ff:ffff:ffff:ffff:ffff:ffff:ffff
154fc8a:9900::/24fc8a:99ff:ffff:ffff:ffff:ffff:ffff:ffff
155fc8a:9a00::/24fc8a:9aff:ffff:ffff:ffff:ffff:ffff:ffff
156fc8a:9b00::/24fc8a:9bff:ffff:ffff:ffff:ffff:ffff:ffff
157fc8a:9c00::/24fc8a:9cff:ffff:ffff:ffff:ffff:ffff:ffff
158fc8a:9d00::/24fc8a:9dff:ffff:ffff:ffff:ffff:ffff:ffff
159fc8a:9e00::/24fc8a:9eff:ffff:ffff:ffff:ffff:ffff:ffff
160fc8a:9f00::/24fc8a:9fff:ffff:ffff:ffff:ffff:ffff:ffff
161fc8a:a000::/24fc8a:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
162fc8a:a100::/24fc8a:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
163fc8a:a200::/24fc8a:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
164fc8a:a300::/24fc8a:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
165fc8a:a400::/24fc8a:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
166fc8a:a500::/24fc8a:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
167fc8a:a600::/24fc8a:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
168fc8a:a700::/24fc8a:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
169fc8a:a800::/24fc8a:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
170fc8a:a900::/24fc8a:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
171fc8a:aa00::/24fc8a:aaff:ffff:ffff:ffff:ffff:ffff:ffff
172fc8a:ab00::/24fc8a:abff:ffff:ffff:ffff:ffff:ffff:ffff
173fc8a:ac00::/24fc8a:acff:ffff:ffff:ffff:ffff:ffff:ffff
174fc8a:ad00::/24fc8a:adff:ffff:ffff:ffff:ffff:ffff:ffff
175fc8a:ae00::/24fc8a:aeff:ffff:ffff:ffff:ffff:ffff:ffff
176fc8a:af00::/24fc8a:afff:ffff:ffff:ffff:ffff:ffff:ffff
177fc8a:b000::/24fc8a:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
178fc8a:b100::/24fc8a:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
179fc8a:b200::/24fc8a:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
180fc8a:b300::/24fc8a:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
181fc8a:b400::/24fc8a:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
182fc8a:b500::/24fc8a:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
183fc8a:b600::/24fc8a:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
184fc8a:b700::/24fc8a:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
185fc8a:b800::/24fc8a:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
186fc8a:b900::/24fc8a:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
187fc8a:ba00::/24fc8a:baff:ffff:ffff:ffff:ffff:ffff:ffff
188fc8a:bb00::/24fc8a:bbff:ffff:ffff:ffff:ffff:ffff:ffff
189fc8a:bc00::/24fc8a:bcff:ffff:ffff:ffff:ffff:ffff:ffff
190fc8a:bd00::/24fc8a:bdff:ffff:ffff:ffff:ffff:ffff:ffff
191fc8a:be00::/24fc8a:beff:ffff:ffff:ffff:ffff:ffff:ffff
192fc8a:bf00::/24fc8a:bfff:ffff:ffff:ffff:ffff:ffff:ffff
193fc8a:c000::/24fc8a:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
194fc8a:c100::/24fc8a:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
195fc8a:c200::/24fc8a:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
196fc8a:c300::/24fc8a:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
197fc8a:c400::/24fc8a:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
198fc8a:c500::/24fc8a:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
199fc8a:c600::/24fc8a:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
200fc8a:c700::/24fc8a:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
201fc8a:c800::/24fc8a:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
202fc8a:c900::/24fc8a:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
203fc8a:ca00::/24fc8a:caff:ffff:ffff:ffff:ffff:ffff:ffff
204fc8a:cb00::/24fc8a:cbff:ffff:ffff:ffff:ffff:ffff:ffff
205fc8a:cc00::/24fc8a:ccff:ffff:ffff:ffff:ffff:ffff:ffff
206fc8a:cd00::/24fc8a:cdff:ffff:ffff:ffff:ffff:ffff:ffff
207fc8a:ce00::/24fc8a:ceff:ffff:ffff:ffff:ffff:ffff:ffff
208fc8a:cf00::/24fc8a:cfff:ffff:ffff:ffff:ffff:ffff:ffff
209fc8a:d000::/24fc8a:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
210fc8a:d100::/24fc8a:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
211fc8a:d200::/24fc8a:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
212fc8a:d300::/24fc8a:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
213fc8a:d400::/24fc8a:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
214fc8a:d500::/24fc8a:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
215fc8a:d600::/24fc8a:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
216fc8a:d700::/24fc8a:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
217fc8a:d800::/24fc8a:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
218fc8a:d900::/24fc8a:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
219fc8a:da00::/24fc8a:daff:ffff:ffff:ffff:ffff:ffff:ffff
220fc8a:db00::/24fc8a:dbff:ffff:ffff:ffff:ffff:ffff:ffff
221fc8a:dc00::/24fc8a:dcff:ffff:ffff:ffff:ffff:ffff:ffff
222fc8a:dd00::/24fc8a:ddff:ffff:ffff:ffff:ffff:ffff:ffff
223fc8a:de00::/24fc8a:deff:ffff:ffff:ffff:ffff:ffff:ffff
224fc8a:df00::/24fc8a:dfff:ffff:ffff:ffff:ffff:ffff:ffff
225fc8a:e000::/24fc8a:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
226fc8a:e100::/24fc8a:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
227fc8a:e200::/24fc8a:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
228fc8a:e300::/24fc8a:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
229fc8a:e400::/24fc8a:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
230fc8a:e500::/24fc8a:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
231fc8a:e600::/24fc8a:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
232fc8a:e700::/24fc8a:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
233fc8a:e800::/24fc8a:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
234fc8a:e900::/24fc8a:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
235fc8a:ea00::/24fc8a:eaff:ffff:ffff:ffff:ffff:ffff:ffff
236fc8a:eb00::/24fc8a:ebff:ffff:ffff:ffff:ffff:ffff:ffff
237fc8a:ec00::/24fc8a:ecff:ffff:ffff:ffff:ffff:ffff:ffff
238fc8a:ed00::/24fc8a:edff:ffff:ffff:ffff:ffff:ffff:ffff
239fc8a:ee00::/24fc8a:eeff:ffff:ffff:ffff:ffff:ffff:ffff
240fc8a:ef00::/24fc8a:efff:ffff:ffff:ffff:ffff:ffff:ffff
241fc8a:f000::/24fc8a:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
242fc8a:f100::/24fc8a:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
243fc8a:f200::/24fc8a:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
244fc8a:f300::/24fc8a:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
245fc8a:f400::/24fc8a:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
246fc8a:f500::/24fc8a:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
247fc8a:f600::/24fc8a:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
248fc8a:f700::/24fc8a:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
249fc8a:f800::/24fc8a:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
250fc8a:f900::/24fc8a:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
251fc8a:fa00::/24fc8a:faff:ffff:ffff:ffff:ffff:ffff:ffff
252fc8a:fb00::/24fc8a:fbff:ffff:ffff:ffff:ffff:ffff:ffff
253fc8a:fc00::/24fc8a:fcff:ffff:ffff:ffff:ffff:ffff:ffff
254fc8a:fd00::/24fc8a:fdff:ffff:ffff:ffff:ffff:ffff:ffff
255fc8a:fe00::/24fc8a:feff:ffff:ffff:ffff:ffff:ffff:ffff
256fc8a:ff00::/24fc8a:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses